import { ChannelTypeEnum } from '../../../constants/channel/index';
import { IChannelRateCode } from '../types';

declare const _default: import('vue').DefineComponent<{}, {
    channelListGroup: import('vue').Ref<import('lodash').NumericDictionary<IChannelRateCode[]>>;
    channelCheckedList: import('vue').Ref<IChannelRateCode[]>;
    toggleCheckAll: () => void;
    isCheckAll: import('vue').ComputedRef<boolean>;
    changeHandle: (item: IChannelRateCode, checked: boolean) => void;
    ChannelTypeEnum: typeof ChannelTypeEnum;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, "channelChange"[], "channelChange", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{}>> & {
    onChannelChange?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _default;
